Package com.xebialabs.xlrelease.domain.events

# Class TaskWaitingForInputEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TaskWaitingForInputEvent

All Implemented Interfaces:
  `TaskEvent`, `TaskExecutionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskWaitingForInputEvent extends Object implements TaskExecutionEvent, scala.Product, Serializable
Event published when a task goes into `WAITING_FOR_INPUT` ("needs input") state. It happens when a task uses some required variables for which no value has been supplied yet in the release.

param: task instance of the task. param: unboundVariables list of variable names for which require a non-empty value before this task can be started.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskWaitingForInputEvent(Task task, List<String> unboundVariables)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskWaitingForInputEvent`
  `apply(Task task, List<String> unboundVariables)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskWaitingForInputEvent`
  `copy(Task task, List<String> unboundVariables)`
  `Task`
  `copy$default$1()`
  `List<String>`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  The task of which status has changed.
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<Task,List<String>>>`
  `unapply(TaskWaitingForInputEvent x$0)`
  `List<String>`
  `unboundVariables()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskWaitingForInputEvent

    public TaskWaitingForInputEvent(Task task, List<String> unboundVariables)

- ## Method Details

  - ### apply

    public static TaskWaitingForInputEvent apply(Task task, List<String> unboundVariables)

  - ### unapply

    public static scala.Option<scala.Tuple2<Task,List<String>>> unapply(TaskWaitingForInputEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()
    Description copied from interface: `TaskExecutionEvent`
    The task of which status has changed.
    Specified by:
      `task` in interface `TaskExecutionEvent`
    Returns:
      (undocumented)

  - ### unboundVariables

    public List<String> unboundVariables()

  - ### copy

    public TaskWaitingForInputEvent copy(Task task, List<String> unboundVariables)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public List<String> copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`